Subject: Correction

From: Linda Gudgel Finnell <[email-masked]>
Date: Wed, 5 Sep 2018 19:07:03 -0400

I meant to say I have "not" documented Catherine Pancake's year of death.

I also meant to say:  The story of Old Andrew's having 3 wives has been
handed down by "many".

I really should do this in the mornings instead of the evening.  Baaaah🙄!

Linda